Subject: Re: bug#24892: {s, }brk removed from FreeBSD 11.x and later, arm64 architecture

From: Paul Eggert <[email-masked]>
Date: Wed, 9 Nov 2016 17:47:19 -0800

On 11/09/2016 07:49 AM, Eli Zaretskii wrote:
> we could lift the implementation from
> system_process_attributes, we report there the process memory size.

That number is not that relevant to the intent of memory-limit, and on 
my platform (Fedora 24 x86-64) returning 0 is a better approximation. 
That being said, we can add some help along those lines, in the attached 
patch, slightly modified from the original to suggest (alist-get 'vsize 
(process-attributes (emacs-pid))) for users who prefer the virtual 
memory size.